# The Token object

### The Token object

```json
{
  "id": "intok_1MzDbE2eZvKYlo2C26a98MDg",
  "object": "issuing.token",
  "card": "ic_1MytUz2eZvKYlo2CZCn5fuvZ",
  "created": 1682059060,
  "network_updated_at": 1682059060,
  "livemode": false,
  "status": "active",
  "last4": "2424",
  "token_service_provider": "visa",
  "wallet_provider": "apple_pay",
  "device_fingerprint": "intd_1MzDbE2eZvKYcp3095svdf"
}
```

## Attributes

- `id` (string)
  Unique identifier for the object.

- `object` (string)
  String representing the object’s type. Objects of the same type share the same value.

- `card` (string, expandable (can be expanded into an object with the `expand` request parameter))
  Card associated with this token.

- `created` (timestamp)
  Time at which the object was created. Measured in seconds since the Unix epoch.

- `device_fingerprint` (string, nullable)
  The hashed ID derived from the device ID from the card network associated with the token.

- `last4` (string, nullable)
  The last four digits of the token.

- `livemode` (boolean)
  If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.

- `network` (enum)
  The token service provider / card network associated with the token.
Possible enum values:
  - `mastercard`
    MasterCard token service provider.

  - `visa`
    Visa token service provider.

- [`network_data`](https://docs.stripe.com/api/issuing/tokens/object.md?query=network_data) (object, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  Additional details obtained from the network about the token, primarily related to the token creation process. For security reasons, this is only available to view in the first 24 hours after token creation, based on the `created` value, and will be omitted unless you explicitly request it with [the `expand` parameter](https://docs.stripe.com/api/expanding_objects.md). Additionally, it’s only available via the [“Retrieve a token” endpoint](https://docs.stripe.com/api/issuing/tokens/retrieve.md) and [“Update a token status” endpoint](https://docs.stripe.com/api/issuing/tokens/update.md).

- `network_updated_at` (timestamp)
  Time at which the token was last updated by the card network. Measured in seconds since the Unix epoch.

- `status` (enum)
  The usage state of the token.
Possible enum values:
  - `active`
    Token is provisioned and usable for payments.

  - `deleted`
    Terminal state. Token can no longer be used.

  - `requested`
    Token has been requested to be provisioned, but has not completed the activation process.

  - `suspended`
    Token temporarily cannot be used for payments.

- `wallet_provider` (enum, nullable)
  The digital wallet for this token, if one was used.
Possible enum values:
  - `apple_pay`
    Apple Pay.

  - `google_pay`
    Google Pay.

  - `samsung_pay`
    Samsung Pay.
